﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace wpf_ChartView_619554
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();

            List<PlotInfo> plotData = new List<PlotInfo>();
            for (int i = 0; i < 128; i++)
            {
                double yVal = i / 5 + i % 10;
                plotData.Add(new PlotInfo() { Index = i, YValue = yVal });
            }            
            radCartesianChart1.Series[0].ItemsSource = plotData; 
        }
    }

    public class PlotInfo
    {
        public int Index { get; set; }
        public double YValue { get; set; }
    }
}
